#define XERR
#include "ordertxt.ih"

    // execution is already in the exercise directory
    // path is the path-prefix ending in /, like 53/, nr is the value 53

bool OrderTxt::read(string const &path, size_t nr)
{
    ElementVect vect;

    d_path = path;

    bool ret = readOrderTxt(vect);

    if (ret)
        d_current = d_map.insert({ nr, move(vect) }).first;

    return ret;
}
